.main-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: $font-color;

  * {
    transition: all 0.5s;
  }

  &__body {
    margin: 0 auto 30px;
    padding-top: 70px;
    position: relative;
    display: flex;
    flex-direction: column;
    width: 50%;

    &--msg {
      &-error {
        position: absolute;
        background-color: rgba(lighten($error-color, $amount: 30), 0.6);
        border: 2px solid $error-color;
        border-radius: 6px;
        color: $error-color;
        box-sizing: border-box;
        width: 100%;
        padding: 15px;
        top: 0px;
      }

      &-success {
        position: absolute;
        background-color: rgba(lighten($success-color, $amount: 30), 0.6);
        border: 2px solid $success-color;
        border-radius: 6px;
        color: $success-color;
        box-sizing: border-box;
        width: 100%;
        padding: 15px;
        top: 0px;
      }
    }

    .form-item {
      width: 100%;
      margin: 0 auto;
      position: relative;

      &__label {
        text-transform: capitalize;

        &--required::after {
          content: " *";
          color: red;
        }

        font-weight: 500;
        letter-spacing: 0.05rem;
      }

      &__input {
        border: none;
        outline: none;
        box-sizing: border-box;
        height: 50px;
        width: 100%;
        padding: 15px;
        margin: 10px 0 40px;
        border-radius: 6px;
        border-bottom: 2px solid lighten($primary-color, $amount: 30);

        &:focus {
          box-shadow: 0px 0px 7px 0px $primary-color;
        }

        &--invalid {
          background-color: rgba(255, 0, 0, 0.308);
          border-bottom: 2px solid $error-color;
          box-shadow: 0px 0px 4px 0px $error-color !important;

          &:hover,
          &:focus {
            border-bottom: 2px solid $error-color;
            background-color: rgb(255, 209, 209);
          }
        }
      }

      &--message {
        position: absolute;
        color: lighten($error-color, $amount: 10);
        bottom: 10px;
        width: fit-content;
        left: 0;
      }
    }

    .button {
      margin: 0 auto;
      width: 50%;
    }
  }
}

@media only screen and (max-width: 764px) {
  .main-form {
    &__body {
      width: 100% !important;
    }

    .button {
      width: 100%;
    }
  }
}
